Xerces-C++ 3.2.4

Public Types | List of all members
XSModelGroup Class Reference

`#include <xercesc/framework/psvi/XSModelGroup.hpp>`

Inheritance diagram for XSModelGroup:

## Public Types
enum | COMPOSITOR_TYPE { COMPOSITOR_SEQUENCE = 1 , COMPOSITOR_CHOICE = 2 , COMPOSITOR_ALL = 3 }

## Public Member Functions
Constructors
| XSModelGroup (COMPOSITOR_TYPE compositorType, XSParticleList *const particleList, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSModelGroup ()
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
virtual const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified. More...
virtual XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
virtual XMLSize_t | getId () const
| Optional. More...
void | setId (XMLSize_t id)
| methods needed by implementation More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## XSModelGroup methods
COMPOSITOR_TYPE | fCompositorType
XSParticleList * | fParticleList
XSAnnotation * | fAnnotation
COMPOSITOR_TYPE | getCompositor () const
| [compositor]: one of all, choice or sequence. More...
XSParticleList * | getParticles () const
| A list of [particles]. More...
XSAnnotation * | getAnnotation () const
| Optional. More...

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Member Enumeration Documentation

## ◆ COMPOSITOR_TYPE

enum XSModelGroup::COMPOSITOR_TYPE

Enumerator
COMPOSITOR_SEQUENCE | This constant value signifies a sequence operator.
COMPOSITOR_CHOICE | This constant value signifies a choice operator.
COMPOSITOR_ALL | This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model. No element in the all content model may appear more than once.

## Constructor & Destructor Documentation

## ◆ XSModelGroup()

XSModelGroup::XSModelGroup | ( | COMPOSITOR_TYPE | compositorType,
|  | XSParticleList *const | particleList,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  compositorType |
  particleList |
  annot |
  xsModel |
  manager | The configurable memory manager

## ◆ ~XSModelGroup()

XSModelGroup::~XSModelGroup | ( |  | ) |

## Member Function Documentation

## ◆ getAnnotation()

XSAnnotation * XSModelGroup::getAnnotation | ( |  | ) | const

Optional.

An [annotation].

References fAnnotation.

## ◆ getCompositor()

XSModelGroup::COMPOSITOR_TYPE XSModelGroup::getCompositor | ( |  | ) | const

[compositor]: one of all, choice or sequence.

The valid constants values are: `COMPOSITOR_SEQUENCE, COMPOSITOR_CHOICE, COMPOSITOR_ALL`.

References fCompositorType.

## ◆ getParticles()

XSParticleList * XSModelGroup::getParticles | ( |  | ) | const

A list of [particles].

References fParticleList.

## Member Data Documentation

## ◆ fAnnotation

XSAnnotation* XSModelGroup::fAnnotation
| protected

Referenced by getAnnotation().

## ◆ fCompositorType

COMPOSITOR_TYPE XSModelGroup::fCompositorType
| protected

Referenced by getCompositor().

## ◆ fParticleList

XSParticleList* XSModelGroup::fParticleList
| protected

Referenced by getParticles().

The documentation for this class was generated from the following file:

- XSModelGroup.hpp